import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 平衡表项目维护
import balanceSheetItem from '../components/balanceSheetItem.vue'
// 折算系数维护
import rate from '../components/rate.vue'
// 实绩产量管理
import production from '../components/production.vue'
// 平衡表数据维护
import balanceData from '../components/balanceData.vue'
// 平衡表数据维护(人工干预-新水)
import balanceSheetData from '../components/balanceSheetData.vue'
// 工序与原材料数据维护
import processAndRawMaterials from '../components/processAndRawMaterials.vue'
// 折标值信息维护
import foldvalue from '../components/foldvalue.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'balanceSheetItem'
        },
        children: [
            {
                path: 'balanceSheetItem',
                name: 'balanceSheetItem',
                component: balanceSheetItem
            },
            {
                path: 'rate',
                name: 'rate',
                component: rate
            },
            {
                path: 'production',
                name: 'production',
                component: production
            },
            {
                path: 'balanceSheetData',
                name: 'balanceSheetData',
                component: balanceSheetData
            },
            {
                path: 'processAndRawMaterials',
                name: 'processAndRawMaterials',
                component: processAndRawMaterials
            },
            {
                path: 'balanceData',
                name: 'balanceData',
                component: balanceData
            },
            {
                path: 'foldvalue',
                name: 'foldvalue',
                component: foldvalue
            }
        ]
    }]
})
