import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'
// 主要
import main from '@/components/main.vue'
// 计划项目维护
import planProject from '../components/supplyAndDemand/planProject.vue'
// 计划产量管理
import planProduction from '../components/supplyAndDemand/planProduction.vue'
// 计划项目数据维护
import planProjectData from '../components/supplyAndDemand/planProjectData.vue'
// 计划方案维护
import plan from '../components/planValue/plan.vue'
// 计划项目推荐方案维护
import planProjectRecommend from '../components/planValue/PlanProjectRecommend.vue'
// 年计划编制(焦化)
import planProjectCoking from '../components/supplyAndDemand/planProjectCoking.vue'
// 年计划编制 (炼铁车间)
import planProjectPuddling from '../components/supplyAndDemand/planProjectPuddling.vue'
// 年计划编制(炼钢)
import planProjectIronMill from '../components/supplyAndDemand/planProjectIronMill.vue'
// 年计划编制(轧钢)
import planProjectSteelRolling from '../components/supplyAndDemand/planProjectSteelRolling.vue'
// 年计划编制(机焦厂-副产品)
import planProjectCoke from '../components/supplyAndDemand/planProjectCoke.vue'
// 月度计划编制
import planProjectDataMonth from '../components/supplyAndDemand/planProjectDataMonth.vue'
// 轮次计划编制-Gx
import planProjectRoundGx from '../components/supplyAndDemand/planProjectRoundGx.vue'
// 年度计划编制
import planProjectDataYear from '../components/supplyAndDemand/planProjectDataYear.vue'
// 年度计划编制(建材厂) H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand
import planProjectBuildingMaterialsFactory from '../components/supplyAndDemand/planProjectBuildingMaterialsFactory.vue'
// 年度计划编制(烧结厂) H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand
import planProjectSinter from '../components/supplyAndDemand/planProjectSinter.vue'
// 年度计划编制(发电厂)H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand
import planProjectPowerPlant from '../components/supplyAndDemand/planProjectPowerPlant.vue'
// 轮次计划(炼钢) H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand\planProjectRoundLG.vue
// 暂时import PlanProjectRoundLG from '../components/supplyAndDemand/planProjectRoundLG.vue'
// 年度计划编制(建材厂-水渣) xt-ems-front\src\views\energyPlan\components\supplyAndDemand
import planProjectBuildingMaterialsWaterSlag from '../components/supplyAndDemand/planProjectBuildingMaterialsWaterSlag.vue'
// 年度计划编制(机焦厂-主产品) xt-ems-front/src/views/energyPlan/components/supplyAndDemand/planProjectMachineCoke.vue
import planProjectMachineCoke from '../components/supplyAndDemand/planProjectMachineCoke.vue'
// 年度计划编制(发电厂) xt-ems-front/src/views/energyPlan/components/supplyAndDemand/planProjectGeneration.vue
import planProjectGeneration from '../components/supplyAndDemand/planProjectGeneration.vue'
// 年度计划编制(建材厂-石灰) xt-ems-front/src/views/energyPlan/components/supplyAndDemand/planProjectLimePowder.vue
import planProjectLimePowder from '../components/supplyAndDemand/planProjectLimePowder.vue'
// 轮次计划(炼钢)src\views\energyPlan\components\supplyAndDemand\planProjectRoundLG.vue
import PlanProjectRoundLG from '../components/supplyAndDemand/planProjectRoundLG.vue'
// 轮次计划(型钢) H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand\planProjectRoundXG.vue
import PlanProjectRoundXG from '../components/supplyAndDemand/planProjectRoundXG.vue'
// 国贸排产 H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand\planProjectRoundXG.vue
import planProjectCBD from '../components/supplyAndDemand/planProjectCBD.vue'
// 轮次计划审核
import planProjectAudit from '../components/supplyAndDemand/planProjectAudit.vue'
// 销售订单重量调整 H:\湖南视拓\安泰能源项目\xt-ems-front\src\views\energyPlan\components\supplyAndDemand\weightAdjustment.vue
import weightAdjustment from '../components/supplyAndDemand/weightAdjustment.vue'

Vue.use(Router)
export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'planProcessAndRawMaterials'
        },
        children: [
            {
                path: 'planProject',
                name: 'planProject',
                component: planProject
            },
            {
                path: 'planProduction',
                name: 'planProduction',
                component: planProduction
            },
            {
                path: 'planProjectData',
                name: 'planProjectData',
                component: planProjectData
            },
            {
                path: 'plan',
                name: 'plan',
                component: plan
            },
            {
                path: 'planProjectRecommend',
                name: 'planProjectRecommend',
                component: planProjectRecommend
            },
            {
                path: 'planProjectCoking',
                name: 'planProjectCoking',
                component: planProjectCoking
            },
            {
                path: 'planProjectPuddling',
                name: 'planProjectPuddling',
                component: planProjectPuddling
            },
            {
                path: 'planProjectIronMill',
                name: 'planProjectIronMill',
                component: planProjectIronMill
            },
            {
                path: 'planProjectSteelRolling',
                name: 'planProjectSteelRolling',
                component: planProjectSteelRolling
            },
            {
                path: 'planProjectCoke',
                name: 'planProjectCoke',
                component: planProjectCoke
            },
            {
                path: 'planProjectDataMonth',
                name: 'planProjectDataMonth',
                component: planProjectDataMonth
            },
            {
                path: 'planProjectRoundGx',
                name: 'planProjectRoundGx',
                component: planProjectRoundGx
            },
            {
                path: 'planProjectDataYear',
                name: 'planProjectDataYear',
                component: planProjectDataYear
            },
            {
                path: 'planProjectBuildingMaterialsFactory',
                name: 'PlanProjectBuildingMaterialsFactory',
                component: planProjectBuildingMaterialsFactory
            },
            {
                path: 'planProjectSinter',
                name: 'planProjectSinter',
                component: planProjectSinter
            },
            {
                path: 'planProjectPowerPlant',
                name: 'planProjectPowerPlant',
                component: planProjectPowerPlant
            },
            {
                path: 'planProjectBuildingMaterialsWaterSlag',
                name: 'planProjectBuildingMaterialsWaterSlag',
                component: planProjectBuildingMaterialsWaterSlag
            },
            {
                path: 'planProjectMachineCoke',
                name: 'planProjectMachineCoke',
                component: planProjectMachineCoke
            },
            {
                path: 'planProjectGeneration',
                name: 'planProjectGeneration',
                component: planProjectGeneration
            },
            {
                path: 'planProjectLimePowder',
                name: 'planProjectLimePowder',
                component: planProjectLimePowder
            },
            {
                path: 'PlanProjectRoundLG',
                name: 'PlanProjectRoundLG',
                component: PlanProjectRoundLG
            },
            {
                path: 'PlanProjectRoundXG',
                name: 'PlanProjectRoundXG',
                component: PlanProjectRoundXG
            },
            {
                path: 'planProjectCBD',
                name: 'planProjectCBD',
                component: planProjectCBD
            },
            {
                path: 'planProjectAudit',
                name: 'planProjectAudit',
                component: planProjectAudit
            },
            {
                path: 'weightAdjustment',
                name: 'weightAdjustment',
                component: weightAdjustment
            }
        ]
    }]
})
